using DiunaBI.Domain.Entities;
using DiunaBI.Infrastructure.Interfaces;

namespace DiunaBI.Plugins.Morska.Importers;

public abstract class MorskaBaseImporter : IDataImporter
{
    public abstract string ImporterType { get; }
    
    public virtual bool CanImport(string importerType) => ImporterType == importerType;
    
    public abstract void Import(Layer importWorker); 
}